package com.eogns.board_back.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.eogns.board_back.entity.AttendanceEntity;
import com.eogns.board_back.repository.AttendanceRepository;

import java.time.LocalDateTime;
import java.util.List;

@Service
public class AttendanceService {
    @Autowired
    private AttendanceRepository attendanceRepository;

    public AttendanceEntity checkIn(String email) {
        AttendanceEntity attendance = new AttendanceEntity();
        attendance.setEmail(email);
        attendance.setCheckInTime(LocalDateTime.now());
        attendance.setRecordedAt(LocalDateTime.now());
        return attendanceRepository.save(attendance);
    }

    public AttendanceEntity checkOut(String email) {
        AttendanceEntity attendance = attendanceRepository.findFirstByEmailAndCheckOutTimeIsNull(email);
        if (attendance != null) {
            attendance.setCheckOutTime(LocalDateTime.now());
            return attendanceRepository.save(attendance);
        }
        return null; // 또는 예외 처리
    }

    public List<AttendanceEntity> getAttendance(String email) {
        return attendanceRepository.findByEmail(email);
    }
}
